package com.yx.face.service;

import com.github.pagehelper.PageInfo;
import com.yx.face.boot.restful.RestDTO;
import com.yx.face.model.query.UserEarlyWarningLogQu;
import com.yx.face.model.vo.UserEarlyWarningLogVO;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 预警日志 服务类
 * </p>
 *
 * @author wxg
 * @since 2022-01-24
 */
public interface UserControlEarlyWarningListLogService {

    List<UserEarlyWarningLogVO> getListLog(Integer adminId);


    Integer updateEarlyWarningConfirm(Long id);

    PageInfo<UserEarlyWarningLogVO> getListLogPageInfo(RestDTO<UserEarlyWarningLogQu> dto);

    void getListLogExcel(UserEarlyWarningLogQu dto, HttpServletResponse response);
}
